%define major 17
%define minimajor 17
%define libname %mklibname totem-plparser %major
%define girname %mklibname totem-plparser-gir 1.0
%define libnamedev %mklibname -d totem-plparser
%define minilibname %mklibname totem-plparser-mini %minimajor

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary: Playlist parser library from the Totem Movie Player
Name: totem-pl-parser
Version: 3.4.3
Release: %mkrel 2
Source0: http://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
License: LGPLv2+
Group: System/Libraries
URL: http://www.hadess.net/totem.php3
BuildRequires: pkgconfig(gio-2.0) >= 2.24.0
BuildRequires: pkgconfig(glib-2.0) >= 2.31.0
BuildRequires: pkgconfig(gmime-2.6)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(libarchive) >= 2.8.4
BuildRequires: pkgconfig(libquvi) >= 0.2.15
BuildRequires: pkgconfig(libsoup-gnome-2.4)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: gobject-introspection-devel >= 0.9.5
BuildRequires: intltool
BuildRequires: gtk-doc

%description
Shared library used by totem.

%package i18n
Summary: Playlist parser library from the Totem Movie Player
Group: System/Internationalization
BuildArch: noarch

%description i18n
This package contains the translations for %name.

%package -n %libname
Summary: Playlist parser library from the Totem Movie Player
Group: System/Libraries
Requires: %name-i18n >= %version

%description -n %libname
Shared library used by totem.

%package -n %girname
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries
Requires: %libname = %version
Conflicts: %{_lib}totem-plparser17 < 2.32.5-4

%description -n %girname
GObject Introspection interface description for %{name}.

%package -n %minilibname
Summary: Playlist parser library from the Totem Movie Player
Group: System/Libraries

%description -n %minilibname
Shared library used by totem - minimal version.

%package -n	%{libnamedev}
Summary:	Static libraries, include files for totem playlist parser
Group:		Development/GNOME and GTK+
Provides:	totem-plparser-devel = %{version}
Provides:	libtotem-plparser-devel = %{version}
Requires:	%{libname} = %{version}
Requires:	%{minilibname} = %{version}

%description -n	%{libnamedev}
Static libraries, include files for totem playlist parser

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make 

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files i18n -f %name.lang

%files -n %{libname}
%doc README NEWS 
%{_libdir}/libtotem-plparser.so.%{major}*

%files -n %{minilibname}
%{_libdir}/libtotem-plparser-mini.so.%{minimajor}*

%files -n %{girname}
%_libdir/girepository-1.0/TotemPlParser-1.0.typelib

%files -n %{libnamedev}
%doc ChangeLog AUTHORS
%doc %_datadir/gtk-doc/html/*
%{_libdir}/*.so
%_datadir/gir-1.0/TotemPlParser-1.0.gir
%{_libdir}/pkgconfig/*
%_includedir/%name


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.4.3-2.mga3
+ Revision: 384706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 295852
- new version 3.4.3

* Sun Aug 05 2012 wally <wally> 3.4.2-3.mga3
+ Revision: 278910
- make devel pkg to not require gir pkg

* Thu Jul 19 2012 ovitters <ovitters> 3.4.2-2.mga3
+ Revision: 272702
- i18n is noarch
- clean spec

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235717
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231070
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227103
- new version 3.4.0

* Sun Mar 18 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 223804
- new version 3.3.92
- drop merged link patch

* Tue Feb 21 2012 fwang <fwang> 3.2.0-1.mga2
+ Revision: 211482
- br gettext
- br gtk-doc
- fix linkage
- new version 3.2.0

* Wed Jan 04 2012 fwang <fwang> 2.32.6-2.mga2
+ Revision: 190643
- rebuild for new libarchive

* Tue Sep 20 2011 fwang <fwang> 2.32.6-1.mga2
+ Revision: 146063
- new version 2.32.6

* Thu Sep 15 2011 fwang <fwang> 2.32.5-4.mga2
+ Revision: 143818
- drop .la files
- split out typelib

  + wally <wally>
    - rebuild for new gmime
    - don't regenerate gtk-docs
    - add libarchive BR

* Sun Jul 10 2011 fwang <fwang> 2.32.5-2.mga2
+ Revision: 121650
- rebuild for new typelibprovides

* Tue Jun 21 2011 pterjan <pterjan> 2.32.5-1.mga2
+ Revision: 110802
- Update to 2.32.5

* Thu Apr 14 2011 pterjan <pterjan> 2.32.4-1.mga1
+ Revision: 85494
- Update to 2.32.4

* Wed Feb 23 2011 pterjan <pterjan> 2.32.3-1.mga1
+ Revision: 57180
- Update to 2.32.3

* Sun Jan 23 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 35330
- Drop old stuff
- imported package totem-pl-parser

